### Name: snp.matrix-class
### Title: Class "snp.matrix"
### Aliases: snp.matrix-class initialize,snp.matrix-method
###   [,snp.matrix-method [,snp.matrix,ANY,ANY,ANY-method
###   rbind2,snp.matrix,snp.matrix-method
###   cbind2,snp.matrix,snp.matrix-method coerce,snp.matrix,numeric-method
###   coerce,snp.matrix,character-method coerce,matrix,snp.matrix-method
###   is.na,snp.matrix-method cbind,snp.matrix-method
###   rbind,snp.matrix-method show,snp.matrix-method
###   summary,snp.matrix-method switch.alleles,snp.matrix,ANY-method
### Keywords: classes

### ** Examples

data(testdata)
summary(summary(Autosomes))

# Just making it up - 3-10 will be made into NA during conversion
snps.class<-new("snp.matrix", matrix(1:10))
snps.class
if(!isS4(snps.class)) stop("constructor is not working")

pretend.X <- as(Autosomes, 'X.snp.matrix')
if(!isS4(pretend.X)) stop("coersion to derived class is not S4")
if(class(pretend.X) != 'X.snp.matrix') stop("coersion to derived class is not working")

pretend.A <- as(Xchromosome, 'snp.matrix')
if(!isS4(pretend.A)) stop("coersion to base class is not S4")
if(class(pretend.A) != 'snp.matrix') stop("coersion to base class is not working")




